Bug 1662048 - Cinnamon slows after a few minutes, persists until restart
Summary: Cinnamon slows after a few minutes, persists until restart
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-25 15:16 UTC by Dr M C Nelson
Modified: 2019-11-27 23:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Fedora 28
Last Closed: 2019-11-27 23:22:33 UTC


Attachments (Terms of Use)

Description Dr M C Nelson 2018-12-25 15:16:45 UTC
Description of problem:
After a few minutes from login to a Cinnaomon desktop session, all of the windows become jumpy or slow, or unresponsive.  The problem is cleared by a restart using "Alt-F2 r", and then reappears after a few minutes.

Version-Release number of selected component (if applicable):
4.0.5-1.fc28


How reproducible:
100%

Steps to Reproduce:
1. Login to a cinnamon session
2. Use the system normally, until response becomes in windows becomes slow or becomes jumpy
3. Alt-F2 and enter "r"

Actual results:
Windows become slow, jump, or not responsive.  Alt-F2 restores normal funtioning for a while.

Expected results:
Windows remain responsive for the duration of the session.

Additional info:

Comment 1 leigh scott 2018-12-26 08:28:24 UTC
Are you using multi monitor setup?

Comment 2 Dr M C Nelson 2018-12-26 16:22:42 UTC
(In reply to leigh scott from comment #1)
> Are you using multi monitor setup?

Yes.   Another bug, is that windows blank when first dragged to the second monitor (i.e., the wallpaper shows through parts of the window).

These are pretty severe bugs, they seem appropriate for a high priority setting.

Comment 3 leigh scott 2018-12-26 19:50:22 UTC
There is little point in reporting it here as I've only got a single monitor setup.
Muffin does the WM functions.

https://github.com/linuxmint/muffin/issues

Comment 4 Ben Cotton 2019-05-02 20:06:02 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Dr M C Nelson 2019-05-02 22:12:10 UTC
(In reply to Ben Cotton from comment #4)
> This message is a reminder that Fedora 28 is nearing its end of life.

It is still present in FC29

muffin.x86_64   4.0.7-1.fc29

Comment 6 AsshatAdmiral 2019-09-07 16:51:14 UTC
I have noticed the same issue on a single monitor setup. The performance problem usually takes a few days to manifest rather than a few minutes, and once it gets unbearable, simply right-clicking on the Taskbar -> Troubleshoot -> Restart Cinnamon seems to fix it. Since it's a quick fix, I've mostly just ignored it. But this has been a problem since F28, and is still a problem as of F30.

Please let me know if there's anything I can provide when the sluggish performance manifests that may help backtrace the problem. I've tried kicking off a `top` command when it gets unbearably slow, but the cinnamon process itself rarely rises above 6% CPU usage.

Comment 7 Ben Cotton 2019-10-31 18:52:11 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-11-27 23:22:33 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.